Page MenuHomeFreeBSD

xen: update to 4.7.2
ClosedPublic

Authored by royger on Mar 9 2017, 3:23 AM.

Details

Summary

And hopefully fix the build with clang 4.0

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

royger created this revision.Mar 9 2017, 3:23 AM
lifanov added a subscriber: lifanov.Mar 9 2017, 3:05 PM
lifanov added inline comments.
emulators/xen-kernel/Makefile
6 ↗(On Diff #26085)

There should not be a PORTREVISION line after a PORTVERSION bump.

sysutils/xen-tools/Makefile
6 ↗(On Diff #26085)

There should not be a PORTREVISION line after a PORTVERSION bump.

royger updated this revision to Diff 26104.Mar 10 2017, 3:18 AM

Fix compile issues with clang 4.0. Now both xen-kernel and tools compile with clang 4.0 from HEAD.

royger marked 2 inline comments as done.Mar 10 2017, 3:18 AM
royger updated this revision to Diff 26271.Mar 15 2017, 10:17 AM

Add fix for XSA-211

bapt accepted this revision.Mar 19 2017, 5:24 PM
This revision is now accepted and ready to land.Mar 19 2017, 5:24 PM
This revision was automatically updated to reflect the committed changes.